Skip to content
Docs

Authorizations

15 operations in the Adverity Connect API. Replace {{INSTANCE}} and {{KEY}} in the examples with your instance and API key. How authentication works.

Create connection invite

POST/api/connection-invite/

API key permissionAuthorization: Writeauthorization:write

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object ConnectionInviteMAPI

  • content_typesarray of objectrequired
    Items · PendingAuthorization
    • namestringrequired
    • content_typeintegerrequired
    • app_idintegernullable
  • emailstring · emailrequired
  • email_bodystring

    Default "Hello,\n\nYou are receiving this email because {{user}} has requested access to the following data source(s) in Adverity:\n\n{{links}}\n\nKind regards,\nAdverity Support"

  • notification_emailsarray of stringrequired
  • stackintegerrequired
  • send_invite_emailboolean

    Default true

Responses

201Createdapplication/json

Response schema

object ConnectionInviteMAPI

  • content_typesarray of objectrequired
    Items · PendingAuthorization
    • namestringrequired
    • content_typeintegerrequired
    • app_idintegernullable
  • emailstring · emailrequired
  • email_bodystring

    Default "Hello,\n\nYou are receiving this email because {{user}} has requested access to the following data source(s) in Adverity:\n\n{{links}}\n\nKind regards,\nAdverity Support"

  • notification_emailsarray of stringrequired
  • stackintegerrequired
  • send_invite_emailboolean

    Default true

List connection types

GET/api/connection-types/

API key permissionAuthorization: Read-onlyauthorization:read

Query parameters

  • pageinteger

    A page number within the paginated result set.

  • page_sizeinteger

    Number of results to return per page.

  • searchstring

    A search term.

Responses

200OKapplication/json

Response schema

object PaginatedConnectionTypeList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · ConnectionType
    • idintegerrequiredread-only
    • namestringrequiredread-only
    • slugstringrequiredread-only
    • canonical_namestringrequiredread-only
    • urlstring · urirequiredread-only
    • categoriesarray of stringrequiredread-only
    • keywordsarray of stringrequiredread-only
    • is_deprecatedbooleanrequiredread-only
    • logo_urlstringrequiredread-only
    • create_urlstringrequiredread-only
    • connectionsstring · urirequiredread-only

Get connection types

GET/api/connection-types/{id}/

API key permissionAuthorization: Read-onlyauthorization:read

Path parameters

  • idintegerrequired

    A unique integer value identifying this content type.

Responses

200OKapplication/json

Response schema

object ConnectionType

  • idintegerrequiredread-only
  • namestringrequiredread-only
  • slugstringrequiredread-only
  • canonical_namestringrequiredread-only
  • urlstring · urirequiredread-only
  • categoriesarray of stringrequiredread-only
  • keywordsarray of stringrequiredread-only
  • is_deprecatedbooleanrequiredread-only
  • logo_urlstringrequiredread-only
  • create_urlstringrequiredread-only
  • connectionsstring · urirequiredread-only

Get connection types connections (GET /api/connection-types/{parent_lookup_type_id}/connections/)

GET/api/connection-types/{parent_lookup_type_id}/connections/

API key permissionAuthorization: Read-onlyauthorization:read

Path parameters

  • parent_lookup_type_idstringrequired

Responses

200No response body

Create connection types connections

POST/api/connection-types/{parent_lookup_type_id}/connections/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • parent_lookup_type_idstringrequired

Responses

201No response body

Get connection types connections (GET /api/connection-types/{parent_lookup_type_id}/connections/{id}/)

GET/api/connection-types/{parent_lookup_type_id}/connections/{id}/

API key permissionAuthorization: Read-onlyauthorization:read

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

Replace connection types connections

PUT/api/connection-types/{parent_lookup_type_id}/connections/{id}/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

Update connection types connections

PATCH/api/connection-types/{parent_lookup_type_id}/connections/{id}/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

Delete connection types connections

DELETE/api/connection-types/{parent_lookup_type_id}/connections/{id}/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

204No response body

Get connection types connections authorize

GET/api/connection-types/{parent_lookup_type_id}/connections/{id}/authorize/

API key permissionAuthorization: Read-onlyauthorization:read

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

Update connection types connections token

PATCH/api/connection-types/{parent_lookup_type_id}/connections/{id}/token/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

Create connection types connections update

POST/api/connection-types/{parent_lookup_type_id}/connections/{id}/update/

API key permissionAuthorization: Writeauthorization:write

Path parameters

  • idstringrequired
  • parent_lookup_type_idstringrequired

Responses

200No response body

List connections

GET/api/connections/

API key permissionAuthorization: Read-onlyauthorization:read

Query parameters

  • creatorstring
  • namestring
  • orderingstring

    Which field to use when ordering the results.

  • pageinteger

    A page number within the paginated result set.

  • page_sizeinteger

    Number of results to return per page.

  • stack_idinteger

Responses

200OKapplication/json

Response schema

object PaginatedAuthorizationListList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · AuthorizationList
    • idintegerrequiredread-only
    • namestringrequired

      Max length 100

    • stackstringrequiredread-only
    • polymorphic_ctype_idintegerrequiredread-onlynullable
    • connection_typestringrequiredread-only
    • credentials_validatedbooleanrequiredread-only
    • is_authorizedstringrequiredread-only
    • createdstring · date-timerequiredread-only
    • updatedstring · date-timerequiredread-only
    • creator_usernamestringrequiredread-only
    • datastream_countintegerrequiredread-only
    • detail_urlstringrequiredread-only
    • connection_invite_uuidstringrequiredread-only

Rotate current Management API key.

POST/api/v1/auth/keys/current/rotate/

Responses

200OKapplication/json

Response schema

object ManagementKeyRefreshResponseSchema

  • api_keystringrequired

416Requested Range Not Satisfiableapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

418I'm a Teapotapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

451Unavailable For Legal Reasonsapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

425Too Earlyapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

429Too Many Requestsapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

400Bad Requestapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

401Unauthorizedapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

402Payment Requiredapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

403Forbiddenapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

404Not Foundapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

405Method Not Allowedapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

406Not Acceptableapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

407Proxy Authentication Requiredapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

408Request Timeoutapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

409Conflictapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

410Goneapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

411Length Requiredapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

412Precondition Failedapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

500Internal Server Errorapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

501Not Implementedapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

502Bad Gatewayapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

503Service Unavailableapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

504Gateway Timeoutapplication/json

Response schema

object ErrorSchema

  • detailstringrequired

Introspect the current API key.

GET/api/v1/auth/keys/introspect/

Responses

200OKapplication/json

Response schema

object KeyIntrospectionSchema

  • activebooleanrequired
  • scopesarray of stringnullable
    Attributes
    • array of string

    • null

  • workspace_idstringnullable
    Attributes
    • string

    • null

  • user_idstringnullable
    Attributes
    • string

    • null

  • expires_atstring · date-timenullable
    Attributes
    • string · date-time

    • null

429Too Many Requestsapplication/json

Response schema

object ErrorSchema

  • detailstringrequired
Was this page helpful?